%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)
%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)

%define rname IO-stringy

Summary: 	IO-Stringy - I/O on in-core objects like strings and arrays
Name: 		perl-IO-stringy
Version: 	2.110
Release: 	3.4
License: 	distributable
Group: 		Applications/CPAN
URL: 		http://search.cpan.org/dist/IO-stringy/


Source: 	http://www.cpan.org/modules/by-module/IO/IO-stringy-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: 	noarch
BuildRequires: 	perl >= 0:5.00503
Requires: 	perl >= 0:5.00503

Obsoletes: 	perl-IO-Stringy <= %{version}-%{release}
Provides: 	perl-IO-Stringy

%description
This toolkit primarily provides modules for performing both traditional
and object-oriented i/o) on things *other* than normal filehandles; in
particular, IO::Scalar, IO::ScalarArray, and IO::Lines.

In the more-traditional IO::Handle front, we have IO::AtomicFile which
may be used to painlessly create files which are updated atomically.

%prep
%setup -n %{rname}-%{version} 

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL \
	PREFIX="%{buildroot}%{_prefix}" \
	INSTALLDIRS="vendor"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib}
%{__rm} -rf %{buildroot}%{perl_vendorarch}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc COPYING MANIFEST README*
%doc %{_mandir}/man3/*.3pm*
%{perl_vendorlib}/IO/

%changelog
* Sun Apr 02 2006 VHCS Packager <vhcs@j0ke.net>
- initial release

